/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");

interface definitionInterface{
    (message:string):void;
}

export default function Select(sql: string, callback: definitionInterface) {
    pool.getConnection(function(err, conn) {
        conn.query(sql , function(err, rows) {
            callback(rows);
         });
        pool.releaseConnection(conn);
     })

  }